
#ifndef HEADER_STR_UTIL_DEF
#define HEADER_STR_UTIL_DEF 1

#include <stdio.h>
#include <stdlib.h>
#include <stdarg.h>
#include <string.h>
#include <math.h>
#include <ctype.h>
#include <time.h>
#include <limits.h>
#include <assert.h>

#include "hdf.h"
#include "mfhdf.h"

#define   MXSTRLEN     500

/*function prototypes for tcf io array*/
char *fpath_cat(int nargs, ...);

void string_parse(char *fullstr, char *searchstr, int offset, int nchar, char str[]);
void string_chop(char *fullstr, char *searchstr, int offset);
int32 dtype_from_dtypestr(const char dtype_str[]);
void parse_fpath(char *fullPath, char *fileName, char *dtype);
void strip_fname(char *fileName);
void insert_str(char *fullstr, char *searchstr, char addstr[]);
void remove_str(char *fullstr, char *searchstr, char remstr[]);

#endif
