SMAP Level 4 Carbon (L4C) Model (L4CMDL) Code
=============================================

**Author:** K. Arthur Endsley
**Date:** August 14, 2020

Setup and Installation
----------------------

Assuming that your environment is already set up to build the L4C Framework API, define `L4CAPI_ROOT` as the root directory of the L4C Framework API.

```
export L4CAPI_ROOT=$FRM_API_ROOT
```

Then:

```
make
make install
```

**NOTE:** If you have installed `libgdal-dev` on your system, it requires `libhdf4alt-dev` instead of `libhdf4-dev`. This causes problems with the existing Makefile, which expects to find `libhdf.so` and `libmfhdf.so`. The solution is to change:

- Change compiler flag `-ldf` to `-ldfalt`
- Change compiler flag `-lmfhdf` to `-lmfhdfalt`
