// ------------------------------------------------------
// module       : l4c_DAILY_output.c
// purpose      : Implements L4C_DAILY pre-processor (DEFLATE) logic
//                on 1km,3km, and 9km 2D full grid inputs deflated to 
//                1D sparse vectors
//                 1km 1D-sparse vector data to 9km 1D-sparse vector data
//  project      : SMAP L4C science development.
//  dependencies : HDF4, FRM_API etc
//  revised      : 2014-03-01T13:00, re-organized code in l4c_GridManager.c
//                 pulling out most of the pre-processor specific code to 
//                 this module file.
//  author       : joe glassy, Lupine Logic Inc.

#include "l4c_DAILY.h"
#include "tcf_struct.h"
#include "l4c_DAILY_prot.h"



// ------------------------------------------------------
// function     : l4c_CreateOutputHdf5
// purpose      : Creates L4_C primary HDF5 output file
//  project      : SMAP L4C science development.
//  dependencies : HDF4, FRM_API etc
//  revised      : 2014-03-01T13:00, re-organized code in l4c_GridManager.c
int l4c_CreateOutput(EcoStateArrayAdt *ecoStateArrayObj_2D_p, 
					MetArrayAdt *metArrayObj_2D_p)
{
 SesCtl sesCtl_p = l4c_GetSesCtl();
 
 	
	






 return 0;	
} // end::l4c_CreateOutputHdf5()

